Package com.opensymphony.module.sitemesh.html.rules

# Interface PageBuilder

All Known Implementing Classes:
  `TokenizedHTMLPage`

public interface PageBuilder
Allows a TagRule to add information to a Page object. The standard HTML processing rules bundled with SiteMesh use this interface instead of direct coupling to the HTMLPage class, allowing the rules to be used for HTML processing in applications outside of SiteMesh.

Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`void`
`addProperty(String key, String value)`

## Method Details

### addProperty

void addProperty(String key, String value)